### Must support
The meaning of the presence or absence of the must support flag is described in [Must support](guidance.html#must-support), except for the following elements:

* For the *qualification.ahpraRegistration-details* element. When a Practitioner is provided to a publishing or subscribing system the *ahpraRegistration-details.ahpraProfession* element is populated from the Ahpra Register of Practitioners.
* For the *pca-bank-account* extension: any values provided by publishing systems when adding or updating a PCA Practitioner will be ignored by the PCA service. Bank account details must be managed by a practitioner via the PCA Portal. The PCA service will populate the extension when providing the PCA Practitioner resource to subscribing systems.
* For the *pca-practitioner-personal-contact-details* extension: any values provided by publishing systems when adding or updating a PCA Practitioner will be ignored by the PCA service.  Personal contact details must be managed by a healthcare provider organisation via the PCA Portal. The PCA service will populate the perosnal contact details when providing the PCA Practitioner resource to subscribing systems.
* For the *pca-credential-documents* extension: any values provided by publishing systems when adding or updating a PCA Practitioner will be ignored by the PCA service.  Credential documents details must be managed by a healthcare provider organisation via the PCA Portal. The PCA service will populate the credential documents details when providing the PCA Practitioner resource to subscribing systems.

### Extensions
Extensions introduced in this profile:
* Practitioner: [PCA Active In System Of Record](StructureDefinition-pca-active-in-system-of-record.html)
* Practitioner: [PCA Bank Account](StructureDefinition-pca-bank-account.html)
* Practitioner: [PCA Credential Documents](StructureDefinition-pca-credential-documents.html)

### Supported interactions
Supported service interactions for this profile are defined in the following capability statements:
* For publishing systems: [PCA Publisher Agent](CapabilityStatement-pca-publisher-agent.html#practitioner)
* For subscribing systems: [PCA Subscriber Agent](CapabilityStatement-pca-subscriber-agent.html#practitioner)
